Subject: Re: Emacs git-mode feature request: support fill-paragraph correctly

From: Bruce Stephens <[email-masked]>
Date: Mon, 26 Jan 2009 12:15:04 +0000

Peter Simons <[email-masked]> writes:

[...]

> Other modes, such as message-mode, do support that kind of thing
> correctly, so apparently it is possible to configure what the editor
> considers as a paragraph. Is there some Emacs wizard out there who'd
> be kind enough to improve git-mode accordingly?

I suspect this doesn't directly relate to git-mode.  What mode does
emacs say you're in at this point?  I'm guessing the buffer name is
COMMIT_EDITMSG and the mode is fundamental-mode?

In that case you could stick this in your .emacs if you wanted to use
message-mode:

(setq auto-mode-alist (cons '("COMMIT_EDITMSG" . message-mode) auto-mode-alist))